<?php
/*
'**************************************************************************************************
' 软件名称: 盘锦DJ舞曲网CMS Content Management PjRen.Net
' 版本编号: Version 2.5
' 盘锦舞曲: http://www.pj57.com
' 官方网站: http://www.pjren.net
' 小说网站: http://www.hx39.com
' 0427DJ网: http://www.0427dj.net
' 官方论坛: http://www.tianjiazhen.com
' 版权所有: 盘锦舞曲开发团队    盘锦人(QQ:814006710)
' 郑重声明:
'    1、任何个人或组织不得在未经授权的情况下删除、修改、拷贝本软件及其他副本上一切关于版权的信息；
'    2、盘锦网络事业部保留此软件的法律追究权利
'**************************************************************************************************
*/
include_once("../include/label.php");
$Param=$_SERVER['QUERY_STRING'];
if($Param=="") {
	if(S_Webmode==1 && file_exists(_CHSHDJ_ROOT_.S_Templateurl."artindex.html")){
		$cache_id ="artindex";
		if(!($cache_opt->start($cache_id))){
			 echo GetTemp("artindex.html",0);
			$cache_opt->end();
		}
	}else{
		header("Location:index.html");	
		}
	die();	
	}
	
if(S_Webmode==1  or S_Slists=='1'){
	$ID=SafeRequest("ID","get","zr");
	if($ID==""){
		if(stristr($Param,S_UrlList)){
			$ID=ReplaceStr($Param,S_UrlList,"");
			$ID=preg_replace("/.".S_Dnsuffix."(.*?)$/",'',$ID);
			$pages=SafeRequest("pages","get","zr");
			if(!IsNum($ID)) die("参数传输错误");
			$cache_id ='al_'.$ID."_".$pages;
			if(!($cache_opt->start($cache_id))){
				 echo SpanArticleList($ID);	
				$cache_opt->end();
			}			
		}
		elseif(stristr($Param,S_Urlshow)){
			$ID=ReplaceStr($Param,S_Urlshow,"");
			$ID=preg_replace("/.".S_Dnsuffix."(.*?)$/",'',$ID);
			$pages=SafeRequest("pages","get","zr");
			if(!IsNum($ID)) die("参数传输错误");
			$cache_id ='ac_'.$ID."_".$pages;
			if(!($cache_opt->start($cache_id))){
				 echo SpanArticleShow($ID);
				$cache_opt->end();
			}		
		}else{
			die("参数传输错误");
			}
	}
else{		
	if(stristr($ID,S_UrlList)){
		$ID=ReplaceStr($ID,S_UrlList,"");
		$pages=SafeRequest("pages","get","zr");
		if(!IsNum($ID)) die("参数传输错误");
			$cache_id ='al_'.$ID."_".$pages;
			if(!($cache_opt->start($cache_id))){
				 echo SpanArticleList($ID);	
				$cache_opt->end();
			}		
		}
	elseif(stristr($ID,S_Urlshow)){
		$ID=ReplaceStr($ID,S_Urlshow,"");
		$pages=SafeRequest("pages","get","zr");
		if(!IsNum($ID)) die("参数传输错误");
			$cache_id ='ac_'.$ID."_".$pages;
			if(!($cache_opt->start($cache_id))){
				 echo SpanArticleShow($ID);
				$cache_opt->end();
			}		
	}else{
		die("参数传输错误");
		}
}
	
	}
?>